Bug 247869 - graphics/exiv2 port TEST option
Summary: graphics/exiv2 port TEST option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-09 11:26 UTC by gja822
Modified: 2020-07-21 17:29 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (multimedia)


Attachments
Patch for exiv2 (448 bytes, patch)
2020-07-10 07:34 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gja822 2020-07-09 11:26:48 UTC
graphics/exiv2 port recently added TEST option, but with no build dependency of devel/googletest if wouldn't be built with TEST=on
Comment 1 daniel.engberg.lists 2020-07-10 00:04:22 UTC
Confirmed, working on a fix.
Comment 2 daniel.engberg.lists 2020-07-10 07:34:31 UTC
Created attachment 216355 [details]
Patch for exiv2

Add missing dependency for test target
Comment 3 daniel.engberg.lists 2020-07-10 07:35:24 UTC
I accidently missed this dependency, sorry.
Comment 4 Tobias C. Berner freebsd_committer 2020-07-21 17:25:50 UTC
Committed --thanks for the report and the fix! (and sorry for the delay).


mfg Tobias
Comment 5 commit-hook freebsd_committer 2020-07-21 17:26:06 UTC
A commit references this bug:

Author: tcberner
Date: Tue Jul 21 17:25:28 UTC 2020
New revision: 542762
URL: https://svnweb.freebsd.org/changeset/ports/542762

Log:
  graphics/exiv2 fix TEST option

  PR:		247869
  Submitted by:	daniel.engberg.lists@pyret.net
  Reported by:	gja822@narod.ru

Changes:
  head/graphics/exiv2/Makefile
Comment 6 commit-hook freebsd_committer 2020-07-21 17:29:08 UTC
A commit references this bug:

Author: tcberner
Date: Tue Jul 21 17:28:54 UTC 2020
New revision: 542764
URL: https://svnweb.freebsd.org/changeset/ports/542764

Log:
  MFH: r542762

  graphics/exiv2 fix TEST option

  PR:		247869
  Submitted by:	daniel.engberg.lists@pyret.net
  Reported by:	gja822@narod.ru

  Approved by:	ports-secteam (implicit)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/graphics/exiv2/Makefile